> ## Name

> cgD3D9IsParameterShadowingEnabled - determine if parameter shadowing is enabled

> ## Synopsis

>     #include <Cg/cgD3D9.h>

>     CGbool cgD3D9IsParameterShadowingEnabled( CGprogram program );

> ## Parameters

> program
>   The program to check for parameter shadowing.

> ## Return Values

> Returns CG_TRUE if parameter shadowing is enabled for program.

> Returns CG_FALSE otherwise.

> ## Description

> cgD3D9IsParameterShadowingEnabled determines if parameter shadowing is enabled for program.

> ## Examples

>     // program is a CGprogram initialized elsewhere
>     ...
>     CGbool isShadowing = cgD3D9IsParameterShadowingEnabled(program);

> ## Errors

> None.

> ## History

> cgD3D9IsParameterShadowingEnabled was introduced in Cg 1.1.

> ## See Also

> cgD3D9EnableParameterShadowing, cgD3D9LoadProgram